/*
  The BREP Library.
  Copyright (C) 1996 Philippe Bekaert

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/* iterate.c */

#include "private.h"

void BrepIterate(BREP_RING *first, void (*func)(BREP_RING *))
{
  BREP_RING *ring, *next;

  if (first) {
    next = first;
    do {
      ring = next;
      next = ring->next;
      func(ring);
    } while (next != first);
  }  
}

void BrepIterate1A(BREP_RING *first, void (*func)(BREP_RING *, void *), void *parm)
{
  BREP_RING *ring, *next;

  if (first) {
    next = first;
    do {
      ring = next;
      next = ring->next;
      func(ring, parm);
    } while (next != first);
  }  
}

void BrepIterate2A(BREP_RING *first, void (*func)(BREP_RING *, void *, void *), void *parm1, void *parm2)
{
  BREP_RING *ring, *next;

  if (first) {
    next = first;
    do {
      ring = next;
      next = ring->next;
      func(ring, parm1, parm2);
    } while (next != first);
  }  
}

