/* Float.h */
/*
  The BREP Library.
  Copyright (C) 1996 Philippe Bekaert

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef _MGFT_FLOAT_H_
#define _MGFT_FLOAT_H_

#define EPSILON	1e-6

/* tests whether two floating point numbers are eual within the given tolerance */
#define FLOATEQUAL(a, b, tolerance)	(((a)-(b)) > -(tolerance) && ((a)-(b)) < (tolerance))

#ifndef MAX
#define MAX(a, b)		((a) > (b) ? (a) : (b))
#endif

#ifndef MIN
#define MIN(a, b)		((a) < (b) ? (a) : (b))
#endif

#ifndef HUGE
#define HUGE 1e72
#endif /*HUGE*/

#define Float float

#endif /*_MGFT_FLOAT_H_*/
