/* cie.h: converts MGF color specification into our representation of
 * colors. */
/*
  The BREP Library.
  Copyright (C) 1996 Philippe Bekaert

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef _CIE_H_
#define _CIE_H_

#include <stdio.h>
#include "mgf.h"
#include "color.h"

extern void MGFGetColor(C_COLOR *cin, 	/* in: chrominance */
			double intensity, /* in: luminance or reflectivity */
			RGB *cout);	/* result */

extern void cie_rgb(float *cie, float *rgb);
extern void rgb_cie(float *rgb, float *cie);

#endif /*_CIE_H_*/
