/* globals.h: some global variables */
/*
  The BREP Library.
  Copyright (C) 1996 Philippe Bekaert

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef _GLOBALS_H_
#define _GLOBALS_H_

#include <time.h>
#include "brep.h"
#include "geometry.h"

/* in main.c */
extern clock_t start_clock;
extern int verbose;	/* to print statistics etc ... */
extern void (*csg_select)(BREP_SOLID *, BREP_SOLID *);
extern BREP_SOLID *solidA, *solidB;
extern char *progname, *current_directory;
extern int ignore_normals_on_input; 	/* ignore normals in input file */
extern int ignore_materials;		/* ignore materials when outputting MGF */

/* used as CloseSolid callback to catch the solid read with readMGF() */
extern SOLID *CatchSolidA(BREP_SOLID *solid), *CatchSolidB(BREP_SOLID *solid);

/* in geometry.c */
/* minimum (relative) vertex, edge and face tolerance */
extern double vertex_tolerance,
              edge_tolerance,
              face_tolerance;

/* isect.c */
extern double min_coplanarity_factor;

#endif /*_GLOBALS_H_*/
