/* vertexlist.h: linear list of BREP_VERTEXes */
/*
  The BREP Library.
  Copyright (C) 1996 Philippe Bekaert

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef _BREP_VERTEX_LIST_H__
#define _BREP_VERTEX_LIST_H_

#include "brep.h"
#include "List.h"

/* same layout as LIST in List.h */
typedef struct BREP_VERTEX_LIST {
  BREP_VERTEX *vertex;
  struct BREP_VERTEX_LIST *next;
} BREP_VERTEX_LIST;

#define BrepVertexListCreate()	(BREP_VERTEX_LIST *)ListCreate()

#define BrepVertexListAdd(vlist, vertex) \
        (BREP_VERTEX_LIST *)ListAdd((LIST *)vlist, (void *)vertex)

#define BrepVertexListIterate1A(vlist, func, parm) \
        ListIterate1A((LIST *)vlist, (void (*)(void *, void *))func, (void *)parm)

#define BrepVertexListDestroy(vlist) \
        ListDestroy((LIST *)vlist)

#endif /*_BREP_VERTEX_LIST_H_*/
