/* writemgf.h */
/*
  The BREP Library.
  Copyright (C) 1996 Philippe Bekaert

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef _WRITEMGF_H_
#define _WRITEMGF_H_

#include <stdio.h>
#include "brep.h"
#include "mgf.h"

extern void WriteMGF(BREP_SOLID *solid, FILE *out);

extern void OutputContour(BREP_CONTOUR *contour);
extern void OutputFace(BREP_FACE *face);
extern void OutputMaterial(char *name, C_MATERIAL *material);
extern void InitMGFOutput(BREP_SOLID *solid, FILE *_out);
extern void CloseMGFOutput(BREP_SOLID *solid);

extern int write_as_is;	/* set to TRUE to write faces with their contours without
			 * making separate faces for outer contours contained in
			 * holes etc... */

extern int write_reverse; /* whether or not to reverse contours when writing. */

#endif /* _WRITEMGF_H_*/
